Index: trunk/LMDZ.VENUS/deftank/physiq-96x96x50-chemistry.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq-96x96x50-chemistry.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq-96x96x50-chemistry.def	(revision 3191)
@@ -14,5 +14,5 @@
 nbapp_rad=24000
 ## Number of calls to the chemistry routines (per day)
-nbapp_chim=1
+nbapp_chem=24000
 ##  Flag for convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(new version JYG), 30 KE(version IPCC AR4), 4 KE vect
 iflag_con=0
@@ -47,4 +47,8 @@
 # use chemistry ?
 ok_chem=y
+
+## include photolysis j online calculated or not
+ok_jonline = y
+
 # use clouds ? (needed for chemistry)
 ok_cloud=y
@@ -110,5 +114,5 @@
 ##(experimental values between 0.19 and 0.23, lower values may
 ## be used to compensate for low 15 um cooling)
-euveff = 0.20       
+euveff = 0.195      
 #
 #
Index: trunk/LMDZ.VENUS/deftank/physiq-96x96x50-notrac.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq-96x96x50-notrac.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq-96x96x50-notrac.def	(revision 3191)
@@ -14,5 +14,5 @@
 nbapp_rad=24000
 ## Number of calls to the chemistry routines (per day)
-nbapp_chim=1
+nbapp_chem=24000
 ##  Flag for convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(new version JYG), 30 KE(version IPCC AR4), 4 KE vect
 iflag_con=0
@@ -110,5 +110,5 @@
 ##(experimental values between 0.19 and 0.23, lower values may
 ## be used to compensate for low 15 um cooling)
-euveff = 0.20       
+euveff = 0.195      
 #
 #
Index: trunk/LMDZ.VENUS/deftank/physiq-96x96x78-chemistry.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq-96x96x78-chemistry.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq-96x96x78-chemistry.def	(revision 3191)
@@ -14,5 +14,5 @@
 nbapp_rad=24000
 ## Number of calls to the chemistry routines (per day)
-nbapp_chim=1
+nbapp_chem=24000
 ##  Flag for convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(new version JYG), 30 KE(version IPCC AR4), 4 KE vect
 iflag_con=0
@@ -47,4 +47,8 @@
 # use chemistry ?
 ok_chem=y
+
+## include photolysis j online calculated or not
+ok_jonline = y
+
 # use clouds ? (needed for chemistry)
 ok_cloud=y
@@ -98,5 +102,5 @@
 ##~~~~~~~~~~~~~~~~~~~~~~
 ## Tuning of photochemistry for oxygen production ?
-tuneupperatm = y
+tuneupperatm = n
 
 #Method to include solar variability?
@@ -110,5 +114,5 @@
 ##(experimental values between 0.19 and 0.23, lower values may
 ## be used to compensate for low 15 um cooling)
-euveff = 0.21       
+euveff = 0.195      
 #
 #
Index: trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry-IONOSPHERE-IONDIFF.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry-IONOSPHERE-IONDIFF.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry-IONOSPHERE-IONDIFF.def	(revision 3191)
@@ -47,4 +47,8 @@
 # use chemistry ?
 ok_chem=y
+
+## include photolysis j online calculated or not
+ok_jonline = y
+
 # use clouds ? (needed for chemistry)
 ok_cloud=y
@@ -100,7 +104,4 @@
 tuneupperatm = n
 
-## include photolysis j online calculated or not
-ok_jonline = y
-
 ## include ion chemistry or not
 ok_ionchem = y
@@ -116,5 +117,5 @@
 
 ## (Solar min=70 ave=140 max=300)
-fixed_euv_value = 200.
+fixed_euv_value = 140.
 
 # value for the UV heating efficiency
Index: trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry-IONOSPHERE.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry-IONOSPHERE.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry-IONOSPHERE.def	(revision 3191)
@@ -14,5 +14,5 @@
 nbapp_rad=24000
 ## Number of calls to the chemistry routines (per day)
-nbapp_chim=1
+nbapp_chem=24000
 ##  Flag for convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(new version JYG), 30 KE(version IPCC AR4), 4 KE vect
 iflag_con=0
@@ -47,4 +47,8 @@
 # use chemistry ?
 ok_chem=y
+
+## include photolysis j online calculated or not
+ok_jonline = y
+
 # use clouds ? (needed for chemistry)
 ok_cloud=y
@@ -100,7 +104,4 @@
 tuneupperatm = n
 
-## include photolysis j online calculated or not
-ok_jonline = y
-
 ## include ion chemistry or not
 ok_ionchem = y
@@ -111,5 +112,5 @@
 
 ## (Solar min=70 ave=140 max=300)
-fixed_euv_value = 200.
+fixed_euv_value = 140.
 
 # value for the UV heating efficiency
Index: trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq-96x96x90-chemistry.def	(revision 3191)
@@ -14,5 +14,5 @@
 nbapp_rad=24000
 ## Number of calls to the chemistry routines (per day)
-nbapp_chim=1
+nbapp_chem=24000
 ##  Flag for convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(new version JYG), 30 KE(version IPCC AR4), 4 KE vect
 iflag_con=0
@@ -47,4 +47,8 @@
 # use chemistry ?
 ok_chem=y
+
+## include photolysis j online calculated or not
+ok_jonline = y
+
 # use clouds ? (needed for chemistry)
 ok_cloud=y
@@ -98,5 +102,8 @@
 ##~~~~~~~~~~~~~~~~~~~~~~
 ## Tuning of photochemistry for oxygen production ?
-tuneupperatm = y
+tuneupperatm = n
+
+## include ion chemistry or not
+ok_ionchem = n
 
 #Method to include solar variability?
@@ -110,5 +117,5 @@
 ##(experimental values between 0.19 and 0.23, lower values may
 ## be used to compensate for low 15 um cooling)
-euveff = 0.20       
+euveff = 0.195      
 #
 #
Index: trunk/LMDZ.VENUS/deftank/physiq.def
===================================================================
--- trunk/LMDZ.VENUS/deftank/physiq.def	(revision 3035)
+++ trunk/LMDZ.VENUS/deftank/physiq.def	(revision 3191)
@@ -14,5 +14,5 @@
 nbapp_rad=24000
 ## Number of calls to the chemistry routines (per day)
-nbapp_chim=1
+nbapp_chem=24000
 ##  Flag for convection : 1 pour LMD, 2 pour Tiedtke, 3 KE(new version JYG), 30 KE(version IPCC AR4), 4 KE vect
 iflag_con=0
@@ -110,5 +110,5 @@
 ##(experimental values between 0.19 and 0.23, lower values may
 ## be used to compensate for low 15 um cooling)
-euveff = 0.20       
+euveff = 0.195      
 #
 #