Index: trunk/LMDZ.PLUTO/libf/phypluto/tracer_h.F90
===================================================================
--- trunk/LMDZ.PLUTO/libf/phypluto/tracer_h.F90	(revision 3184)
+++ trunk/LMDZ.PLUTO/libf/phypluto/tracer_h.F90	(revision 3195)
@@ -14,5 +14,5 @@
 
        character*30, save, allocatable :: noms(:)   ! name of the tracer
-       real, save, allocatable :: mmol(:)     ! mole mass of tracer (g/mol) 
+       real, save, allocatable :: mmol(:)     ! mole mass of tracer (g/mol)
        real, save, allocatable :: aki(:)      ! to compute coefficient of thermal concduction if photochem
        real, save, allocatable :: cpi(:)      ! to compute cpnew in concentration.F if photochem
@@ -28,8 +28,14 @@
        real,save :: rho_dust     ! Mars dust density (kg.m-3)
        real,save :: rho_ice     ! Water ice density (kg.m-3)
+       real,save :: rho_ch4_ice     ! ch4 ice density (kg.m-3)
+       real,save :: rho_co_ice     ! co ice density (kg.m-3)
        real,save :: rho_n2     ! N2 ice density (kg.m-3)
+       real,save :: lw_ch4     ! Latent heat CH4 gas -> solid
+       real,save :: lw_co      ! Latent heat CO gas -> solid
+       real,save :: lw_n2      ! Latent heat N2 gas -> solid
+       integer,save :: nmono
        real,save :: ref_r0        ! for computing reff=ref_r0*r0 (in log.n. distribution)
 !$OMP THREADPRIVATE(noms,mmol,aki,cpi,radius,rho_q,qext,alpha_lift,alpha_devil,qextrhor, &
-	!$OMP varian,r3n_q,rho_dust,rho_ice,rho_n2,ref_r0)
+	!$OMP varian,r3n_q,rho_dust,rho_ice,rho_n2,lw_n2,ref_r0)
 
        integer, save, allocatable :: is_chim(:) ! 1 if tracer used in chemistry, else 0
@@ -59,59 +65,27 @@
 ! tracer indexes: these are initialized in initracer and should be 0 if the
 !                 corresponding tracer does not exist
-       ! dust
-       integer,save,allocatable :: igcm_dustbin(:) ! for dustbin 'dust' tracers
-       ! dust, special doubleq case
-       integer,save :: igcm_dust_mass   ! dust mass mixing ratio (for transported dust)
-       integer,save :: igcm_dust_number ! dust number mixing ratio (transported dust)
-       ! water
-       integer,save :: igcm_h2o_vap ! water vapour
-       integer,save :: igcm_h2o_ice ! water ice
-       ! chemistry:
-       integer,save :: igcm_co2
-       integer,save :: igcm_co
-       integer,save :: igcm_o
-       integer,save :: igcm_o1d
-       integer,save :: igcm_o2
-       integer,save :: igcm_o3
-       integer,save :: igcm_h
-       integer,save :: igcm_h2
-       integer,save :: igcm_oh
-       integer,save :: igcm_ho2
-       integer,save :: igcm_h2o2
+
+       !Pluto chemistry
+       integer,save :: igcm_co_gas
        integer,save :: igcm_n2
        integer,save :: igcm_ar
-       integer,save :: igcm_n
-       integer,save :: igcm_no
-       integer,save :: igcm_no2
-       integer,save :: igcm_n2d
-       integer,save :: igcm_ch4
+       integer,save :: igcm_ch4_gas ! methane gas
+       ! other tracers
+       integer,save :: igcm_ar_n2 ! for simulations using co2 +neutral gaz
+       integer,save :: igcm_ch4_ice ! methane ice
+       integer,save :: igcm_co_ice ! methane ice
+       integer,save :: igcm_prec_haze
+       integer,save :: igcm_haze
+       integer,save :: igcm_haze10
+       integer,save :: igcm_haze30
+       integer,save :: igcm_haze50
+       integer,save :: igcm_haze100
+       integer,save :: igcm_eddy1e6
+       integer,save :: igcm_eddy1e7
+       integer,save :: igcm_eddy5e7
+       integer,save :: igcm_eddy1e8
+       integer,save :: igcm_eddy5e8
 
-       integer,save :: igcm_ch3
-       integer,save :: igcm_ch
-       integer,save :: igcm_3ch2
-       integer,save :: igcm_1ch2
-       integer,save :: igcm_cho
-       integer,save :: igcm_ch2o
-       integer,save :: igcm_ch3o
-       integer,save :: igcm_c
-       integer,save :: igcm_c2
-       integer,save :: igcm_c2h
-       integer,save :: igcm_c2h2
-       integer,save :: igcm_c2h3
-       integer,save :: igcm_c2h4
-       integer,save :: igcm_c2h6
-       integer,save :: igcm_ch2co
-       integer,save :: igcm_ch3co
-       integer,save :: igcm_hcaer
-
-       ! other tracers
-       integer,save :: igcm_ar_n2 ! for simulations using n2 +neutral gaz
-       integer,save :: igcm_n2_ice ! N2 ice 
-!$OMP THREADPRIVATE(igcm_dustbin,igcm_dust_mass,igcm_dust_number,igcm_h2o_vap,igcm_h2o_ice,      &
-	!$OMP igcm_co2,igcm_co,igcm_o,igcm_o1d,igcm_o2,igcm_o3,igcm_h,igcm_h2,igcm_oh,	      &
-	!$OMP igcm_ho2,igcm_h2o2,igcm_n2,igcm_ar,igcm_ar_n2,igcm_n2_ice,                         &
-       !$OMP igcm_n,igcm_no,igcm_no2,igcm_n2d,igcm_ch4,igcm_ch3,igcm_ch,igcm_3ch2,               &
-       !$OMP igcm_1ch2,igcm_cho,igcm_ch2o,igcm_ch3o,igcm_c,igcm_c2,igcm_c2h,igcm_c2h2,           &
-       !$OMP igcm_c2h3,igcm_c2h4,igcm_c2h6,igcm_ch2co,igcm_ch3co,igcm_hcaer)
+!$OMP THREADPRIVATE(igcm_co_gas,igcm_n2,igcm_ar,igcm_ch4_gas,igcm_ar_n2,&igcm_ch4_ice,igcm_co_ice,igcm_prec_haze,igcm_haze,igcm_haze10,igcm_haze30,igcm_haze50,igcm_haze100,igcm_eddy1e6,igcm_eddy1e7,igcm_eddy5e7,igcm_eddy1e8,igcm_eddy5e8)
 
        end module tracer_h